Ariane Soft PPL2 Pocket Programming DataMite
  #1  
Old 04-22-2008, 06:39 PM
ybes ybes is offline
Junior Member
 
Join Date: Oct 2006
Posts: 26
Default message d'erreur sur v 1.4->1.51

bonjour

j'ai mis à jour ma version 1.32 installée depuis l'automne dernier (qui fonctionnait OK) par la v1.50 ,puis les diffférentes versions de 1.410 à v1.51 et chaque fois ,après un ou deux Run (sur le PC), j'ai un messege : "error: (c:\ppl\demos\gdi.frm#%creation) [Syntax error at 'ERROR#311' (2,5)]" qui se produit en fin de compilation.

également , il me redemande souvent également d'enregistrer les runtimes

enfin , il y a un autre bug,où,parfois, le fichier source est remplacè par un texte d'une seule ligne avec ERROR 311
lors de la compilation apparait un message "violation xxxxxx...."
j'ai ainsi perdu la moitié du fichier démos/gdi.ppl

si je dirige le run vers le pocketPC ,il semble y avoir une compilation , mais , le programe ne s'exécute pas.
merçi de m'éclairer

cordialement

Reply With Quote
  #2  
Old 04-23-2008, 01:58 AM
kornalius
Guest
 
Posts: n/a
Default

L'erreur 311 est signe que PPL a ete altere par un crack ou autre.
Reply With Quote
  #3  
Old 04-25-2008, 08:26 AM
ybes ybes is offline
Junior Member
 
Join Date: Oct 2006
Posts: 26
Default

je ne comprends pas bien le probléme..vous parlez de "crack"
je n'ai nul besoin de "cracker" votre produit car la version "lite" me suffit depuis le début....
j'ai télédéchargé l'autre jour , pour me mettre à jour, les différentes versions de PPL(v1.4 a 1.51) en version trial.
lors de la premiere compilation , il demande de "valider" les runtimes sur le PC et le PocketPC ,ce qu'il semble faire en communiquant automatiquement avec votre site (il affiche un message en ce sens)
c'est après que plus rien ne marche...
quel est votre conseil?
car , je n'ai pas eu ce probléme avec les anciennes versions (de la premieré à la v1.32 que j'utilise depuis 10/2007)
merçi
Reply With Quote
  #4  
Old 04-26-2008, 02:57 PM
ybes ybes is offline
Junior Member
 
Join Date: Oct 2006
Posts: 26
Default

Bon , dans la mesure où je ne retrouve plus mon fichier installation de la v 1.32 qui fonctionnait bien , je me retrouve sans PPL utilisable....
où peut-on retrouver une version lite 1.3x ?

merçi d'avance
cordialement
Reply With Quote
  #5  
Old 04-27-2008, 02:52 AM
kornalius
Guest
 
Posts: n/a
Default

Enlevez tout les fichiers de votre repertoire PIDE. Reinstallez 1.51 Lite, ceci devrait fonctionner.
Reply With Quote
  #6  
Old 04-27-2008, 01:01 PM
ybes ybes is offline
Junior Member
 
Join Date: Oct 2006
Posts: 26
Default

c'est ce que j'ai fait ,bien sur,mais quand j'installe PPL ,et que je compile une démo la premère fois, il marche ok (sauf que parfois quand j'ouvre un fichier démos .ppl , il m'envoie une message "violation xxxx" , les premières fois) .
si je ferme Pide et le re-ouvre ,c 'est là que j'ai l'erreur 331 et ce tant que je n'ai pas tout éffacé et réinstallé...
sur le pocket , il marche OK.
bizarre...j'en suis à ma 12eme install depuis Vendredi!!!
Reply With Quote
  #7  
Old 04-28-2008, 11:46 AM
ybes ybes is offline
Junior Member
 
Join Date: Oct 2006
Posts: 26
Default

Désolé , je suis d'un caractère un peu obstiné...mais j'aime bien comprendre ce qui se passe
j'ai essayé PPL 1.51 sur deux ordinateurs portables ,un Acer avec WindowsXP tabletPC,SP2,mis à jour..et un Panasonic WinXP_Pro,également mis àjour
toujours presque le même probléme..
quand je travaille sur un programe , au bout de 3-4 modifs , le moindre déplacement même sans clic de la souris entraine un message "violation access at adress xxxx" (les adresses sont variables)
je fini par arriver à aller dans le menu "fichier" et faire un exit (il me demande la sauvegarde du fichier en cours qu'il me fait sagement)
puis , je sors,je relance Pide et refait 3-4 modifs avec compilation jusqu'au nouveau message
pour l'instant , je n'ai plus l'apparition du message "error 331",avec inscription de "ERROR331" à la fin du fichier source en cours.
j'ai également essayé sans ActiveSync installé , puis avec la v4.5 ,la 4.0,mm pbs.
même pbs avec un "vieux" PPL (v1.04)
bon ,si je vous casse les pieds , c'est pas grave ,je fais cà comme un hobby.
je note simplement que ces deux ordinateurs ont un écran tactile
cordialement
Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 10:27 AM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2021, Jelsoft Enterprises Ltd.
Copyright (c) ArianeSoft Inc.
Copyright © 2009 www.ppl-lang.com - All rights reserved
Web Design by BR Web Consulting Ltd